# Copyright (c) 2025, UChicago Argonne, LLC
# BSD OPEN SOURCE LICENSE. Full license can be found in LICENSE
# Copyright (c) 2025, UChicago Argonne, LLC
# BSD OPEN SOURCE LICENSE. Full license can be found in LICENSE
from ..supply_editor import LinkSizeLimiterDialog
from .show_dialog import show_diag


def break_long_lines(proj):
    if not proj.open_mode:
        proj.show_message_no_supply()
        return
    dlg2 = LinkSizeLimiterDialog(proj)
    show_diag(dlg2)
